Bug 58606 - strace-4.4-1 doesn't parse RTC_SET_TIME structure
strace-4.4-1 doesn't parse RTC_SET_TIME structure
Status: CLOSED ERRATA
Product: Red Hat Raw Hide
Classification: Retired
Component: strace (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Roland McGrath
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-21 09:38 EST by Jonathan Kamens
Modified: 2007-04-18 12:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-06 18:24:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to implement printing the rtc clock values (2.20 KB, patch)
2004-08-07 05:33 EDT, Ulrich Drepper
no flags Details | Diff
Replacement patch with one fix (2.20 KB, patch)
2004-08-07 13:38 EDT, Ulrich Drepper
no flags Details | Diff
strace-4.5.7-rh-alt-ioctl-rtc.patch (3.12 KB, patch)
2004-09-13 13:51 EDT, Dmitry V. Levin
no flags Details | Diff
strace-4.5.7-rh-alt-ioctl-rtc.patch (3.38 KB, patch)
2004-09-13 16:39 EDT, Dmitry V. Levin
no flags Details | Diff
strace-4.5.7-rh-alt-ioctl-rtc.patch (3.44 KB, patch)
2004-09-20 18:02 EDT, Dmitry V. Levin
no flags Details | Diff

  None (edit)
Description Jonathan Kamens 2002-01-21 09:38:54 EST
Unlike previous strace versions strace-4.4-1 at least recognizes an ioctl with
the RTC_SET_TIME operator, but it still doesn't unparse the structure passed
into the ioctl, which is a bummer when you're trying to debug problems with the
real-time clock.
Comment 1 Ulrich Drepper 2004-08-07 05:33:57 EDT
Created attachment 102495 [details]
Patch to implement printing the rtc clock values

The patch should handle all five rtc ioctls.
Comment 2 Ulrich Drepper 2004-08-07 13:38:07 EDT
Created attachment 102500 [details]
Replacement patch with one fix

I mixed up verbose and abbrev.	Thusly fixed.
Comment 3 Dmitry V. Levin 2004-09-13 13:51:42 EDT
Created attachment 103795 [details]
strace-4.5.7-rh-alt-ioctl-rtc.patch

This patch also adds support for RTC_* read ioctls.
Tested with "hwclock --hctosys" and "hwclock --systohc".
Comment 4 Dmitry V. Levin 2004-09-13 16:39:33 EDT
Created attachment 103801 [details]
strace-4.5.7-rh-alt-ioctl-rtc.patch

This time with changelog entry.
Comment 5 Dmitry V. Levin 2004-09-20 18:02:32 EDT
Created attachment 104039 [details]
strace-4.5.7-rh-alt-ioctl-rtc.patch

ifdef'ed rtc_ioctl() declaration, corrected changelog entry.
Comment 6 Roland McGrath 2004-10-06 18:24:54 EDT
Patch is in upstream.
Comment 7 Tim Powers 2005-05-19 17:09:55 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-131.html

Note You need to log in before you can comment on or make changes to this bug.